# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Muse Dash Template

game: Muse Dash
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Muse Dash: 1.5.26 # Version of the world required for this yaml to work as expected.

Muse Dash:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  starting_song_count:
    # The number of songs that will be automatically unlocked at the start of a run.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 3
    # Maximum value is 10
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-3-10: 0 # random value between 3 and 10

  additional_song_count:
    # The total number of songs that will be placed in the randomization pool.
    # - This does not count any starting songs or the goal song.
    # - The final song count may be lower due to other settings.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 15
    # Maximum value is 600
    40: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-15-600: 0 # random value between 15 and 600

  music_sheet_count_percentage:
    # Controls how many music sheets are added to the pool based on the number of songs, including starting songs.
    # 
    # Higher numbers leads to more consistent game lengths, but will cause individual music sheets to be less important.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 40
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-10-40: 0 # random value between 10 and 40

  music_sheet_win_count_percentage:
    # The percentage of Music Sheets in the item pool that are needed to unlock the winning song.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 50
    # Maximum value is 100
    80: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-50-100: 0 # random value between 50 and 100

  ###############
  # Song Choice #
  ###############
  dlc_packs:
    # Choose which DLC Packs will be included in the pool of chooseable songs.
    # 
    # Note: The [Just As Planned] DLC contains all [Muse Plus] songs.
    []

  streamer_mode_enabled:
    # In Muse Dash, an option named 'Streamer Mode' removes songs which may trigger copyright issues when streaming.
    # 
    # If this is enabled, only songs available under Streamer Mode will be available for randomization.
    'false': 50
    'true': 0

  include_songs:
    # These songs will be guaranteed to show up within the seed.
    # - You must have the DLC enabled to play these songs.
    # - Difficulty options will not affect these songs.
    # - If there are too many included songs, this will act as a whitelist ignoring song difficulty.
    []

  exclude_songs:
    # These songs will be guaranteed to not show up within the seed.
    # 
    # Note: Does not affect songs within the "Include Songs" list.
    []

  goal_song:
    # One of the selected songs will be guaranteed to show up as the final Goal Song.
    # - You must have the DLC enabled to play these songs.
    # - If no songs are chosen, then the song will be randomly chosen from the available songs.
    []

  ##############
  # Difficulty #
  ##############
  grade_needed:
    # Completing a song will require a grade of this value or higher in order to unlock items.
    # The grades are as follows:
    # - Silver S (SS): >= 95% accuracy
    # - Pink S (S): >= 90% accuracy
    # - A: >= 80% or a Full Combo
    # - B: >= 70%
    # - C: >= 60%
    any: 50
    c: 0
    b: 0
    a: 0
    pinks: 0
    silvers: 0

  song_difficulty_mode:
    # Ensures that at any chosen song has at least 1 value falling within these values.
    # - Any: All songs are available
    # - Easy: 1, 2 or 3
    # - Medium: 4, 5
    # - Hard: 6, 7
    # - Expert: 8, 9
    # - Master: 10+
    # - Manual: Uses the provided minimum and maximum range.
    any: 50
    easy: 0
    medium: 0
    hard: 0
    expert: 0
    master: 0
    manual: 0

  song_difficulty_min:
    # Ensures that 1 difficulty has at least 1 this value or higher per song.
    # 
    # Note: Difficulty Mode must be set to Manual.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 11
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-11: 0 # random value between 1 and 11

  song_difficulty_max:
    # Ensures that 1 difficulty has at least 1 this value or lower per song.
    # 
    # Note: Difficulty Mode must be set to Manual.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 11
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-11: 0 # random value between 1 and 11

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  #########
  # Traps #
  #########
  chosen_traps:
    # This controls the types of traps that can be added to the pool.
    # - Traps last the length of a song, or until you die.
    # - VFX Traps consist of visual effects that play over the song. (i.e. Grayscale.)
    # - SFX Traps consist of changing your sfx setting to one possibly more annoying sfx.
    # 
    # Note: SFX traps are only available if [Just as Planned] DLC songs are enabled.
    []

  trap_count_percentage:
    # This controls how many traps to add into the pool, based the total number of songs.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 35
    15: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-35: 0 # random value between 0 and 35

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
